Get audience report dates

This endpoint allows you to query the correct date for the Get audience report for a date.

Available platforms for this endpoint are Instagram, YouTube, and TikTok.

Don't know the artist UUID yet? Use the Get artist by platform ID or Search artist by name endpoints.

Note: Audience reports are updated monthly.

Request

GET /api/v2/artist/{uuid}/audience/{platform}/report/available-dates

Path parameters

Parameter Value Description Additional
uuid string An artist UUID Required
platform string A social platform code Required

Query string parameters

Parameter Value Description Additional
startDate string Optional period start date (format YYYY-MM-DD) Optional
endDate string Optional period end date (format YYYY-MM-DD) Optional
offset integer Get results starting from position Optional
limit integer Number of results (max. 100) Optional

Response

Code Description Resource
200 OK

An audience report listing dates collection response

Audience report date Collection
400 Bad Request

Invalid request

401 Unauthorized

You are not logged in

403 Forbidden

This endpoint is not included in your current plan, reach out to help@soundcharts.com if you want access.

404 Not Found

Artist not found

Explore

An artist UUID

A social platform code

Optional period start date (format YYYY-MM-DD)

Optional period end date (format YYYY-MM-DD)

Get results starting from position

Number of results (max. 100)

Try it out